## GnomeCanvasClipgroup

GnomeCanvasClipgroup — Canvas group that implements clipping

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

                        GnomeCanvasClipgroup;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasGroup
                               +----GnomeCanvasClipgroup

## Properties

      "path"                     gpointer              : Read / Write
      "wind"                     guint                 : Read / Write

## Description

A canvas group object that clips the view of its children to a shape defined by a GnomeCanvasPathDef.

## Details

### GnomeCanvasClipgroup

    typedef struct _GnomeCanvasClipgroup GnomeCanvasClipgroup;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The "`path`" property

      "path"                     gpointer              : Read / Write

Pointer to a GnomeCanvasPathDef structure which can be created with `gnome_canvas_path_def_new()`.

### The "`wind`" property

      "wind"                     guint                 : Read / Write

Winding rule (ArtWindRule) enumeration (ART_WIND_RULE_NONZERO, ART_WIND_RULE_INTERSECT, ART_WIND_RULE_ODDEVEN, and ART_WIND_RULE_POSITIVE), see libart for details. Defines the clipping intersection rule (FIXME?).

Default value: 0